Bug 152410 - CAN-2005-0749 load_elf_library possible DoS
Summary: CAN-2005-0749 load_elf_library possible DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20050318,sour...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-29 10:55 UTC by Mark J. Cox
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 18:52:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:366 high SHIPPED_LIVE Important: kernel security update 2005-04-19 04:00:00 UTC

Description Mark J. Cox 2005-03-29 10:55:22 UTC
A flaw when freeing a pointer in load_elf_library was discovered.  A local user
could potentially use this flaw to cause a denial of service (crash).  See
discussion at:
        
http://www.uwsg.iu.edu/hypermail/linux/kernel/0503.2/0603.html

Fixed upstream (note important 2nd fix for 2.4)

fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bffczprEXYXBhd4oTqo8WoMTGQ
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244930dPN44h62CZtM0P-qXoOI-7A
fixed=2.4 (20050326
http://linux.bkbits.net:8080/linux-2.4/cset@424581efkFnFr5llhjjaiNnTmuS88Q

Comment 1 Ernie Petrides 2005-03-30 23:19:41 UTC
Oops, I reassigned the wrong bug.  Attempting to revert
(but state is now ASSIGNED).

Comment 2 Josh Bressers 2005-04-19 18:52:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-366.html



Note You need to log in before you can comment on or make changes to this bug.